<template>
  <div class="hello">
    <!-- <h1>{{ msg }}</h1> -->
    
    <div>
      <h1 class="title">Test Scan</h1>
    </div>
    <hr>
    
    <div>
      <b-container fluid>
        <b-row class="text-center">
          <b-col cols="2" class="text-center"></b-col>
          <b-col cols="4" class="text-center">

          <form>
            
            <div class="field">
              <label class="label">Text: </label>
              <b-form-input name="text" v-model="text" class="input" type="text"></b-form-input>
            </div>
            
          </form>
          </b-col>

        </b-row>
        <p/>
        <b-row>
          <b-col cols="4" class="text-left">
            <div><label class="label">Result: {{ result }}</label></div>
          </b-col>

        </b-row>
      </b-container>
    </div>

    &nbsp;
    <div>
      <b-button variant="primary" v-on:click="scan()">Scan</b-button>  
    </div>

    &nbsp;
    <hr>

  </div>
</template>

<script>
import axios from 'axios';
// import Vue from 'vue'
// import VeeValidate from 'vee-validate'
/* eslint-disable */
// Vue.use(VeeValidate)
export default {
  name: 'TestScan',
  
  data: function() {
    return {
      result: ""
    }
  },
  methods: {
    scan: function() {
      var data = {"text": this.text}
      /*eslint-disable*/
      console.log(data) 
      /*eslint-enable*/
      axios({ method: "POST", url: "http://127.0.0.1:8090/scan", data: data, headers: {"content-type": "text/plain" } }).then(result => { 
          // this.response = result.data;
          this.result = result.data['result']
          /*eslint-disable*/
          console.log(result.data) 
          /*eslint-enable*/
        }).catch( error => {
            /*eslint-disable*/
            console.error(error);
            /*eslint-enable*/
      });
    }
  }
}
</script>
